CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
Portability.h File Reference
`#include <cppunit/config-auto.h>`
`#include <cppunit/config/CppUnitApi.h>`
`#include <cppunit/config/SelectDllLoader.h>`

Go to the source code of this file.

## Macros

#define | CPPUNIT_VERSION "1.12.0"
#define | CPPUNIT_ENABLE_NAKED_ASSERT 0
#define | CPPUNIT_ENABLE_CU_TEST_MACROS 0
#define | CPPUNIT_COMPILER_LOCATION_FORMAT "%f:%l:"
#define | CPPUNIT_CONST_CAST(TargetType, pointer) ((TargetType)( pointer ))
#define | CPPUNIT_STATIC_CAST(TargetType, pointer) ((TargetType)( pointer ))
#define | CPPUNIT_NS_BEGIN namespace CppUnit {
#define | CPPUNIT_NS_END }
#define | CPPUNIT_NS CppUnit
#define | CPPUNIT_STRINGIZE(symbol) _CPPUNIT_DO_STRINGIZE( symbol )
#define | _CPPUNIT_DO_STRINGIZE(symbol) #symbol
#define | CPPUNIT_JOIN(symbol1, symbol2) _CPPUNIT_DO_JOIN( symbol1, symbol2 )
#define | _CPPUNIT_DO_JOIN(symbol1, symbol2) _CPPUNIT_DO_JOIN2( symbol1, symbol2 )
#define | _CPPUNIT_DO_JOIN2(symbol1, symbol2) symbol1##symbol2
#define | CPPUNIT_MAKE_UNIQUE_NAME(prefix) CPPUNIT_JOIN( prefix, __LINE__ )
#define | CPPUNIT_WRAP_COLUMN 79

## Macro Definition Documentation

#define _CPPUNIT_DO_JOIN | ( |  | symbol1,
|  |  | symbol2
| ) |  | _CPPUNIT_DO_JOIN2( symbol1, symbol2 )

#define _CPPUNIT_DO_JOIN2 | ( |  | symbol1,
|  |  | symbol2
| ) |  | symbol1##symbol2

#define _CPPUNIT_DO_STRINGIZE | ( |  | symbol | ) | #symbol

#define CPPUNIT_COMPILER_LOCATION_FORMAT "%f:%l:"

#define CPPUNIT_CONST_CAST | ( |  | TargetType,
|  |  | pointer
| ) |  | ((TargetType)( pointer ))

#define CPPUNIT_ENABLE_CU_TEST_MACROS 0

#define CPPUNIT_ENABLE_NAKED_ASSERT 0

#define CPPUNIT_JOIN | ( |  | symbol1,
|  |  | symbol2
| ) |  | _CPPUNIT_DO_JOIN( symbol1, symbol2 )

Joins to symbol after expanding them into string.

Use this macro to join two symbols. Example of usage:

1 #define MAKE_UNIQUE_NAME(prefix) CPPUNIT_JOIN( prefix, __LINE__ )

The macro defined in the example concatenate a given prefix with the line number to obtain a 'unique' identifier.

#define CPPUNIT_MAKE_UNIQUE_NAME | ( |  | prefix | ) | CPPUNIT_JOIN( prefix, __LINE__ )

Adds the line number to the specified string to create a unique identifier.

Parameters

  prefix | Prefix added to the line number to create a unique identifier.

See also
  CPPUNIT_TEST_SUITE_REGISTRATION for an example of usage.

#define CPPUNIT_NS CppUnit

#define CPPUNIT_NS_BEGIN namespace CppUnit {

#define CPPUNIT_NS_END }

#define CPPUNIT_STATIC_CAST | ( |  | TargetType,
|  |  | pointer
| ) |  | ((TargetType)( pointer ))

#define CPPUNIT_STRINGIZE | ( |  | symbol | ) | _CPPUNIT_DO_STRINGIZE( symbol )

Stringize a symbol.

Use this macro to convert a preprocessor symbol to a string.

Example of usage:

1 #define CPPUNIT_PLUGIN_EXPORTED_NAME cppunitTestPlugIn
2 const char *name = CPPUNIT_STRINGIZE( CPPUNIT_PLUGIN_EXPORTED_NAME );

#define CPPUNIT_VERSION "1.12.0"

#define CPPUNIT_WRAP_COLUMN 79

Defines wrap colunm for CppUnit. Used by CompilerOuputter.

| hosts this site. |  | Send comments to: CppUnit Developers